from abc import ABC, abstractmethod
import pandas as pd

class BaseAnalysis(ABC):
    name = "Base Analysis"
    description = "This is a base analysis module."

    @abstractmethod
    def execute(self, df: pd.DataFrame):
        """Run analysis on the given DataFrame"""
        pass
