from flask import Blueprint, request, jsonify
from datetime import datetime

def register_filters(app):
    @app.template_filter('datetimeformat')
    def datetimeformat(value):
        """Convert datetime or timestamp to formatted string"""
        if isinstance(value, datetime):
            dt = value
        else:
            try:
                dt = datetime.fromtimestamp(float(value))
            except (ValueError, TypeError):
                return str(value)
        return dt.strftime('%Y-%m-%d %H:%M:%S')